import request from '@/utils/request'

export function get(params) {
  return request({
    url: 'api/dmCard',
    method: 'get',
    params
  })
}

export function getCardBalance(params) {
  return request({
    url: 'api/dmCard/getCardBalance?cardId=' + params,
    method: 'get'
  })
}

export function getAll() {
  return request({
    url: 'api/dmCard/cardAll',
    method: 'get'
  })
}

export function add(data) {
  return request({
    url: 'api/dmCard',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/dmCard/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/dmCard',
    method: 'put',
    data
  })
}

export default { get, add, edit, del, getAll, getCardBalance }
